### Constructor

# ICalGLib Parameter new_patchaction

since: 3.0.15

#### Declaration [src]

    ICalParameter*
    i_cal_parameter_new_patchaction (
      ICalParameterPatchaction value
    )

#### Description [src]

Creates a new `ICalParameter` holding PATCHACTION.

Available since: 3.0.15

#### Parameters

`value`

  Type: `ICalParameterPatchaction`

  The `ICalParameterPatchaction` value.

#### Return value

Type: `ICalParameter`

A new `ICalParameter` holding PATCHACTION.

The caller of the function takes ownership of the data, and is responsible for freeing it.